ApiSchemasVariables
Variable: event
const event: object & Typed<{
allDay?: boolean;
category?: string;
description?: string;
end?: string;
place?: {
address?: {
country?: string;
locality?: string;
postcode?: string;
region?: string;
street?: string;
};
cells?: readonly string[];
lat?: number;
lon?: number;
name?: string;
};
rrule?: string;
start: string;
status?: "confirmed" | "tentative" | "cancelled";
title: string;
tz?: string;
url?: string;
}>;Defined in: packages/core/src/schemas/library/planning.ts:43
Something happening at a time, after JSCalendar (RFC 8984). start and
end are RFC 3339 with tz saying where the times are meant, or whole days
(YYYY-MM-DD) with allDay. rrule repeats it (RFC 5545).
Type Declaration
description
readonly description: "Something happening at a time and place." = 'Something happening at a time and place.';links
readonly links: object;links.in
readonly in: LinkDeclaration;name
readonly name: "std.event" = 'std.event';schema
readonly schema: object;schema.properties
readonly properties: object;schema.properties.allDay
readonly allDay: object;schema.properties.allDay.type
readonly type: "boolean" = 'boolean';schema.properties.category
readonly category: object;schema.properties.category.maxLength
maxLength: number = max;schema.properties.category.minLength?
minLength?: number = min;schema.properties.category.type
type: "string";schema.properties.description
readonly description: object;schema.properties.description.maxLength
maxLength: number = max;schema.properties.description.minLength?
minLength?: number = min;schema.properties.description.type
type: "string";schema.properties.end
readonly end: object & object;Type Declaration
maxLength
maxLength: number = max;minLength?
minLength?: number = min;type
type: "string";x-kind
readonly "x-kind": "when";schema.properties.place
readonly place: object;schema.properties.place.properties
properties: object;schema.properties.place.properties.address
address: object;schema.properties.place.properties.address.properties
properties: object;schema.properties.place.properties.address.properties.country
country: object;schema.properties.place.properties.address.properties.country.maxLength
maxLength: number = max;schema.properties.place.properties.address.properties.country.minLength?
minLength?: number = min;schema.properties.place.properties.address.properties.country.type
type: "string";schema.properties.place.properties.address.properties.locality
locality: object;schema.properties.place.properties.address.properties.locality.maxLength
maxLength: number = max;schema.properties.place.properties.address.properties.locality.minLength?
minLength?: number = min;schema.properties.place.properties.address.properties.locality.type
type: "string";schema.properties.place.properties.address.properties.postcode
postcode: object;schema.properties.place.properties.address.properties.postcode.maxLength
maxLength: number = max;schema.properties.place.properties.address.properties.postcode.minLength?
minLength?: number = min;schema.properties.place.properties.address.properties.postcode.type
type: "string";schema.properties.place.properties.address.properties.region
region: object;schema.properties.place.properties.address.properties.region.maxLength
maxLength: number = max;schema.properties.place.properties.address.properties.region.minLength?
minLength?: number = min;schema.properties.place.properties.address.properties.region.type
type: "string";schema.properties.place.properties.address.properties.street
street: object;schema.properties.place.properties.address.properties.street.maxLength
maxLength: number = max;schema.properties.place.properties.address.properties.street.minLength?
minLength?: number = min;schema.properties.place.properties.address.properties.street.type
type: "string";schema.properties.place.properties.address.type
type: "object";schema.properties.place.properties.cells
cells: object;schema.properties.place.properties.cells.description
description: string = 'The geohash cells lat and lon are in, coarsest first: precisions 3, 4, 5 and 6';schema.properties.place.properties.cells.items
items: object;schema.properties.place.properties.cells.items.maxLength
maxLength: number = max;schema.properties.place.properties.cells.items.minLength?
minLength?: number = min;schema.properties.place.properties.cells.items.type
type: "string";schema.properties.place.properties.cells.maxItems
maxItems: number = 8;schema.properties.place.properties.cells.type
type: "array";schema.properties.place.properties.lat
lat: object;schema.properties.place.properties.lat.maximum
maximum: number = 90;schema.properties.place.properties.lat.minimum
minimum: number = -90;schema.properties.place.properties.lat.type
type: "number";schema.properties.place.properties.lon
lon: object;schema.properties.place.properties.lon.maximum
maximum: number = 180;schema.properties.place.properties.lon.minimum
minimum: number = -180;schema.properties.place.properties.lon.type
type: "number";schema.properties.place.properties.name
name: object;schema.properties.place.properties.name.maxLength
maxLength: number = max;schema.properties.place.properties.name.minLength?
minLength?: number = min;schema.properties.place.properties.name.type
type: "string";schema.properties.place.type
type: "object";schema.properties.rrule
readonly rrule: object;schema.properties.rrule.maxLength
maxLength: number = max;schema.properties.rrule.minLength?
minLength?: number = min;schema.properties.rrule.type
type: "string";schema.properties.start
readonly start: object & object;Type Declaration
maxLength
maxLength: number = max;minLength?
minLength?: number = min;type
type: "string";x-kind
readonly "x-kind": "when";schema.properties.status
readonly status: object;schema.properties.status.enum
enum: ("confirmed" | "tentative" | "cancelled")[];schema.properties.title
readonly title: object;schema.properties.title.maxLength
maxLength: number = max;schema.properties.title.minLength?
minLength?: number = min;schema.properties.title.type
type: "string";schema.properties.tz
readonly tz: object;schema.properties.tz.maxLength
maxLength: number = max;schema.properties.tz.minLength?
minLength?: number = min;schema.properties.tz.type
type: "string";schema.properties.url
readonly url: object & object;Type Declaration
maxLength
maxLength: number = max;minLength?
minLength?: number = min;type
type: "string";x-kind
readonly "x-kind": "url";schema.required
readonly required: readonly ["title", "start"];schema.type
readonly type: "object" = 'object';title
readonly title: "Event" = 'Event';topics
readonly topics: readonly ["place.cells"];